#include "mainwindow.h"
#include "ui_mainwindow.h"

MainWindow::MainWindow(QWidget *parent) :
    QMainWindow(parent),
    ui(new Ui::MainWindow)
{
    this->resize(600,600);

    srand ( time(NULL) );

    ui->setupUi(this);
    Cpt=0;
    TimerCpt=0;

    QImage Img(200,200,QImage::Format_ARGB32_Premultiplied);
    Img.fill(0xFFFF0000);
    scene = new QGraphicsScene(ui->graphicsView);
    scene->addPixmap(QPixmap::fromImage(Note::CreateImage(rand()%2,rand()%21,Note)));


    connect (&Timer,SIGNAL(timeout()) , this, SLOT(TimeOut()) );
    Cpt++;
    ui->statusBar->showMessage(QString("%1").arg(Cpt)+QString(" \t :: \t "));
    Timer.singleShot(DELAI_MS,this, SLOT(TimeOut()));



//    scene->setSceneRect(0,0, fondPlan.width(), fondPlan.height());

    ui->graphicsView->setScene(scene);
    ui->graphicsView->setRenderHints(QPainter::Antialiasing);
}



MainWindow::~MainWindow()
{
    delete ui;
}



void MainWindow::changeEvent(QEvent *e)
{
    QMainWindow::changeEvent(e);
    qDebug() << "resize" << e->type();
    switch (e->type()) {
    case QEvent::LanguageChange:
        ui->retranslateUi(this);
        break;
    case QEvent::Resize:

        break;
    default:
        break;
    }
}

void MainWindow::resizeEvent()
{

    qDebug() << "Ici";

}

void MainWindow::TimeOut()
{
    TimerCpt++;
    if (TimerCpt==Cpt)
        ui->statusBar->showMessage(QString("%1").arg(Cpt)+QString(" \t :: \t ")+Note);
//    Timer.singleShot(DELAI_MS,this, SLOT(TimeOut()));
}

void MainWindow::mousePressEvent(QMouseEvent *event)
{

    scene->clear();    
    scene->addPixmap(QPixmap::fromImage(Note::CreateImage(rand()%2,rand()%21,Note)));
    Cpt++;
    ui->statusBar->showMessage(QString("%1").arg(Cpt)+QString(" \t :: \t "));
    Timer.stop();
    Timer.singleShot(DELAI_MS,this, SLOT(TimeOut()));


}
