#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <note.h>
#include <QMainWindow>
#include <qgraphicsscene.h>
#include <qtimer.h>



#define  DELAI_MS          1500

namespace Ui {
    class MainWindow;
}

class MainWindow : public QMainWindow {
    Q_OBJECT
public:
    MainWindow(QWidget *parent = 0);
    ~MainWindow();

protected:
    void changeEvent(QEvent *e);

protected slots:
    void mousePressEvent(QMouseEvent * event);
    void TimeOut();
    void resizeEvent();

private:
    Ui::MainWindow *ui;
    QGraphicsScene *scene;

    int             Cpt;
    int             TimerCpt;
    QTimer          Timer;
    QImage          Img;
    QString         Note;
};

#endif // MAINWINDOW_H
