#include "note.h"

#define     Y_OFFSET        30


Note::Note()
{
}



QImage Note::CreateImage(bool ClefDeSol, int Pos,QString& Note)
{
    QImage Img(800,800,QImage::Format_ARGB32_Premultiplied);
    Img.fill(0xFFF0F0FF);


    QImage Clef;

    if (ClefDeSol)
        Clef.load(":/clefs/clef_de_sol.png");
    else
        Clef.load(":/clefs/clef_de_fa.png");


    QPainter painter;       
    painter.begin(&Img);

    // Dessine la clef
    if (ClefDeSol)
        painter.drawImage(120,Y_OFFSET+200,Clef);
    else
        painter.drawImage(120,Y_OFFSET+273,Clef);


    // Dessine la partition
    QPen Pen;
    Pen.setWidth(5);
    painter.setPen(Pen);
    for (int i=2;i<7;i++)
    {
        painter.drawLine(100,Y_OFFSET+150+i*72,700,Y_OFFSET+150+i*72);
    }
    if (Pos>=20) painter.drawLine(400,Y_OFFSET+150-2*72,600,Y_OFFSET+150-2*72);
    if (Pos>=18) painter.drawLine(400,Y_OFFSET+150-1*72,600,Y_OFFSET+150-1*72);
    if (Pos>=16) painter.drawLine(400,Y_OFFSET+150+0*72,600,Y_OFFSET+150+0*72);
    if (Pos>=14) painter.drawLine(400,Y_OFFSET+150+1*72,600,Y_OFFSET+150+1*72);
    if (Pos<=2) painter.drawLine(400,Y_OFFSET+150+7*72,600,Y_OFFSET+150+7*72);
    if (Pos==0) painter.drawLine(400,Y_OFFSET+150+8*72,600,Y_OFFSET+150+8*72);


    // Dessine la note

    painter.setBrush( QBrush( Qt::black ) );
   // for (int i=0;i<18;i++)
    {
        painter.drawEllipse(QPoint(500,Y_OFFSET+726-Pos*36),55,35);
    }





    QStringList List;
    List << "Do" << "Re" << "Mi" << "Fa" << "Sol" << "La" << "Si";
    if (ClefDeSol)   
        Note=List[(Pos+5)%7];
    else
        Note=List[(Pos)%7];


    painter.end();
    Img=Img.scaledToHeight(600);
    return Img;
}
